For the complete documentation index, see llms.txt. This page is also available as Markdown.

Directory Markets

Operations related to Directory Markets that define geographical or business markets within the platform directory.

Deprecated

Search markets

get
/markets
Query parameters
first_resultinteger · int32Optional

Offset from which the search must be performed

max_resultsinteger · int32Optional

Number of maximum items that shall be return by this search

Responses
200

Success !

application/json
countintegerRequired
totalintegerRequired
first_resultintegerRequired
statusstring · enumRequiredPossible values:
max_resultsintegerRequired
get/markets
GET /v1/markets HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "data": [
    {
      "id": "text",
      "country_iso": "text",
      "offer": "text"
    }
  ],
  "count": 1,
  "total": 1,
  "first_result": 1,
  "status": "ok",
  "max_results": 1
}
Deprecated

Create market

post
/markets
Body
idstringRequired
country_isostringRequired
offerstringRequired
Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
post/markets
POST /v1/markets HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 49

{
  "id": "text",
  "country_iso": "text",
  "offer": "text"
}
{
  "status": "ok",
  "data": {
    "id": "text",
    "country_iso": "text",
    "offer": "text"
  }
}
Deprecated

Get market by id

get
/markets/{id}
Path parameters
idinteger · int64Required
Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
get/markets/{id}
GET /v1/markets/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "status": "ok",
  "data": {
    "id": "text",
    "country_iso": "text",
    "offer": "text"
  }
}
Deprecated

Update market

put
/markets/{id}
Path parameters
idinteger · int64Required
Body
idstringRequired
country_isostringRequired
offerstringRequired
Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
put/markets/{id}
PUT /v1/markets/{id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 49

{
  "id": "text",
  "country_iso": "text",
  "offer": "text"
}
{
  "status": "ok",
  "data": {
    "id": "text",
    "country_iso": "text",
    "offer": "text"
  }
}
Deprecated

Delete market

delete
/markets/{id}
Path parameters
idinteger · int64Required
Responses
200

Success response

application/json
statusstring · enumRequiredPossible values:
delete/markets/{id}
DELETE /v1/markets/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "status": "ok"
}

Last updated

Was this helpful?